#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.0.0
visibility:           public
id:                   ghcide-1.9.0.0-GTMJCbqT7KN8jEzCckCXxp
key:                  ghcide-1.9.0.0-GTMJCbqT7KN8jEzCckCXxp
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  7aabe8c10af1f1f289777e4c3ef312ff
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.0.0-GTMJCbqT7KN8jEzCckCXxp
depends:
    Diff-0.4.1-6lWAYabiV2JCwlNWLRwajK
    Glob-0.10.2-7od6g89RpTA13oAw40bqx0
    aeson-2.1.2.1-FQdukMoQ2jiIhFbzKbUnlr
    aeson-pretty-0.8.9-1wYzASoPVTFGxzrcGXYdjN array-0.5.4.0
    async-2.2.4-ATB7JjANwlUFgDk5OYrRsK base-4.15.1.0
    base16-bytestring-1.0.2.0-7igqpzOhLEiws2biEMAy9 binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-9JCn8u65C4KCy9Nj55YpX7
    co-log-core-0.3.2.0-KGp7ztEAnXPAJUjfiAmZvE containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-9NQ3pmg7X888wNPq7OSIQu
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU deepseq-1.4.5.0
    dependent-map-0.4.0.0-KSAPAeJk82OGDQEKRNO8SC
    dependent-sum-0.7.2.0-2peSpomIrzLLlAInWVZdZf directory-1.3.6.2
    dlist-1.0-JalAZsGq1LOCqqdFHHEpoL
    enummapset-0.7.1.0-KbE1cz2nyKYE0q5MEDypKl exceptions-0.10.4
    extra-1.7.13-8ROQrm3ACzLEijpBIEASyc filepath-1.4.2.1
    fingertree-0.1.5.0-H4WKbITV6xmCYLWOiIeXRg
    focus-1.0.3.1-YFnqpPihgBRFJ5r3HZmc ghc-9.0.2 ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-7rkuBQW292C9I8HytOkVW7
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.7-KqL0Q6Rsn8A7qIYdrbRLC8
    haddock-library-1.10.0-515mUufFiQg6prbp69ZWRT
    hashable-1.4.2.0-7UVOGh0pBDMGm1lHduVYaK
    hie-bios-0.11.0-5MJSi7cMGOY1CooxXw1Dce
    hie-compat-0.3.0.0-HtRpwVRm0jbBmBGDkwMYdm
    hiedb-0.4.2.0-IcHB1MP6kT05cdRHm2ZTLa
    hls-graph-1.9.0.0-3XWaowretRg8hJZ3a8Qix3
    hls-plugin-api-1.6.0.0-7FeZHbGSkzH61wr4tarOvj
    hslogger-1.3.1.0-34Mn6Viy4tY5Ag5X9KTZnz
    implicit-hie-0.1.2.7-3uvFBmYv0Eg3ERxhU1C4Oh
    implicit-hie-cradle-0.3.0.5-3dXiJrdqIWZ1cqdKEK3Pnd
    lens-5.2.2-47B4YqBJtpp1VmgwIPDlDX
    list-t-1.0.5.4-Ej2UekmBes0KJptjGPx37O
    lsp-1.6.0.0-4Rf916j4hcXLEuxYxHBHY6
    lsp-types-1.6.0.0-C5uS0ZnCXb55ZYbwAUXmw1 mtl-2.2.2
    opentelemetry-0.8.0-6XHxZiJdUND6HyQATTzeuH
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-5VWpJNbhGIV3D1AAYFOW23
    prettyprinter-ansi-terminal-1.1.3-7gpt7VQgKgOTWVLvE9TcI
    random-1.2.1.1-71meI303K8iKpu6Jml2q3U
    regex-tdfa-1.3.2.1-1P3yvS2dqRcLtjOPelqXOj
    safe-exceptions-0.1.7.3-4aKYxAej914K9DQtFIYz7x
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-D20D90l2YZvA9ByEquapD7 stm-2.5.0.0
    stm-containers-1.2.0.1-4a31fo3iuSd6C2xU4FIwur
    syb-0.7.2.3-8Ecf2noODt3AkEpOuk93YP text-1.2.5.0
    text-rope-0.2-AOuObDH1sgD3oOQRHGDgSA time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.24.0-Cgo9TcQdeeWIqND7TVzpAA
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-DN3OuUdFAXrC8rLtkEuGTl
    vector-0.13.0.0-8c7RlyjNINpFLowVEJNlQ1

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

